Data Structures | Macros | Typedefs | Functions
gtkmenutray.h File Reference
Pidgin (GTK+ User Interface)

GTK+ Tray menu item. More...

`#include <gtk/gtk.h>`

Go to the source code of this file.

## Data Structures
struct | _PidginMenuTray
| A PidginMenuTray. More...
struct | _PidginMenuTrayClass
| A PidginMenuTrayClass. More...

## Macros
#define | PIDGIN_TYPE_MENU_TRAY (pidgin_menu_tray_get_gtype())
#define | PIDGIN_MENU_TRAY(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), PIDGIN_TYPE_MENU_TRAY, PidginMenuTray))
#define | PIDGIN_MENU_TRAY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), PIDGIN_TYPE_MENU_TRAY, PidginMenuTrayClass))
#define | PIDGIN_IS_MENU_TRAY(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), PIDGIN_TYPE_MENU_TRAY))
#define | PIDGIN_IS_MENU_TRAY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), PIDGIN_TYPE_MENU_TRAY))
#define | PIDGIN_MENU_TRAY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj), PIDGIN_TYPE_MENU_TRAY, PidginMenuTrayClass))

## Typedefs
typedef struct _PidginMenuTray | PidginMenuTray
typedef struct _PidginMenuTrayClass | PidginMenuTrayClass

## Functions
G_BEGIN_DECLS GType | pidgin_menu_tray_get_gtype (void)
| Registers the PidginMenuTray class if necessary and returns the type ID assigned to it. More...
GtkWidget * | pidgin_menu_tray_new (void)
| Creates a new PidginMenuTray. More...
GtkWidget * | pidgin_menu_tray_get_box (PidginMenuTray *menu_tray)
| Gets the box for the PidginMenuTray. More...
void | pidgin_menu_tray_append (PidginMenuTray *menu_tray, GtkWidget *widget, const char *tooltip)
| Appends a widget into the tray. More...
void | pidgin_menu_tray_prepend (PidginMenuTray *menu_tray, GtkWidget *widget, const char *tooltip)
| Prepends a widget into the tray. More...
void | pidgin_menu_tray_set_tooltip (PidginMenuTray *menu_tray, GtkWidget *widget, const char *tooltip)
| Set the tooltip for a widget. More...

## Detailed Description

GTK+ Tray menu item.

Definition in file gtkmenutray.h.

## Function Documentation

## ◆ pidgin_menu_tray_append()

void pidgin_menu_tray_append | ( | PidginMenuTray * | menu_tray,
|  | GtkWidget * | widget,
|  | const char * | tooltip
| ) |  |

Appends a widget into the tray.

Parameters

  menu_tray | The tray
  widget | The widget
  tooltip | The tooltip for this widget (widget requires its own X-window)

## ◆ pidgin_menu_tray_get_box()

GtkWidget* pidgin_menu_tray_get_box | ( | PidginMenuTray * | menu_tray | ) |

Gets the box for the PidginMenuTray.

Parameters

  menu_tray | The PidginMenuTray

Returns
  The box that this menu tray is using

## ◆ pidgin_menu_tray_get_gtype()

G_BEGIN_DECLS GType pidgin_menu_tray_get_gtype | ( | void |  | ) |

Registers the PidginMenuTray class if necessary and returns the type ID assigned to it.

Returns
  The PidginMenuTray type ID

## ◆ pidgin_menu_tray_new()

GtkWidget* pidgin_menu_tray_new | ( | void |  | ) |

Creates a new PidginMenuTray.

Returns
  A new PidginMenuTray

## ◆ pidgin_menu_tray_prepend()

void pidgin_menu_tray_prepend | ( | PidginMenuTray * | menu_tray,
|  | GtkWidget * | widget,
|  | const char * | tooltip
| ) |  |

Prepends a widget into the tray.

Parameters

  menu_tray | The tray
  widget | The widget
  tooltip | The tooltip for this widget (widget requires its own X-window)

## ◆ pidgin_menu_tray_set_tooltip()

void pidgin_menu_tray_set_tooltip | ( | PidginMenuTray * | menu_tray,
|  | GtkWidget * | widget,
|  | const char * | tooltip
| ) |  |

Set the tooltip for a widget.

Parameters

  menu_tray | The tray
  widget | The widget
  tooltip | The tooltip to set for the widget (widget requires its own X-window)